Album: 04-13-2023 Beta Kid Themes (Op. 6)
Date: April 13, 2023
Date Added: September 30, 2025
Artists:
- casualclassical
Cover Artists:
- casualclassical
Cover Art File Extension: png
Color: '#4be14e'
Groups:
- Fandom
URLs:
- https://casualclassical.bandcamp.com/album/04-13-2023-beta-kid-themes-op-6
---
Track: "John's Theme: Showtime Piano Mix (No. 1)"
Duration: 1:14
Referenced Tracks:
- track:showtime-piano-refrain
URLs:
- https://casualclassical.bandcamp.com/track/johns-theme-showtime-piano-mix-no-1
---
Track: "Rose's Theme: Aggrieve String Mix (No. 2)"
Duration: 1:58
Referenced Tracks:
- track:aggrieve-violin-refrain
URLs:
- https://casualclassical.bandcamp.com/track/roses-theme-aggrieve-string-mix-no-2
---
Track: "Dave's Theme: Upward Movement Synth Mix (No. 3)"
Duration: 1:57
Referenced Tracks:
- track:upward-movement-dave-owns
URLs:
- https://casualclassical.bandcamp.com/track/daves-theme-upward-movement-synth-mix-no-3
---
Track: "Jade's Theme: Carefree Princess Berrybloo Guitar Mix (No. 4)"
Duration: 0:33
Referenced Tracks:
- track:carefree-princess-berryboo
URLs:
- https://casualclassical.bandcamp.com/track/jades-theme-carefree-princess-berrybloo-guitar-mix-no-4